curl --request PATCH \
--url https://staging.api.us.aptlydone.com/v1/notifications/{id}/toggle-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "READ"
}
'{
"statusCode": 200,
"timestamp": "2026-01-12T09:08:08.140Z",
"message": "Success",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440002",
"tenantId": "123e4567-e89b-12d3-a456-426614174000",
"templateKey": "DELEGATION_ISSUED",
"category": "Delegations",
"title": "Delegation Issued",
"message": "Delegation ABC123 was issued to you. Click to review.",
"isActionable": true,
"status": "UNREAD",
"createdAt": "2023-01-01T12:00:00Z",
"userId": "550e8400-e29b-41d4-a716-446655440000",
"entityType": "delegation",
"entityId": "123456",
"relativeTime": "2 hours ago",
"readAt": "2023-01-02T14:30:00Z",
"actionUrl": "https://example.com/delegations/123456",
"payload": {
"assignedBy": "John Doe",
"priority": "high"
}
}
}curl --request PATCH \
--url https://staging.api.us.aptlydone.com/v1/notifications/{id}/toggle-status \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"status": "READ"
}
'{
"statusCode": 200,
"timestamp": "2026-01-12T09:08:08.140Z",
"message": "Success",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440002",
"tenantId": "123e4567-e89b-12d3-a456-426614174000",
"templateKey": "DELEGATION_ISSUED",
"category": "Delegations",
"title": "Delegation Issued",
"message": "Delegation ABC123 was issued to you. Click to review.",
"isActionable": true,
"status": "UNREAD",
"createdAt": "2023-01-01T12:00:00Z",
"userId": "550e8400-e29b-41d4-a716-446655440000",
"entityType": "delegation",
"entityId": "123456",
"relativeTime": "2 hours ago",
"readAt": "2023-01-02T14:30:00Z",
"actionUrl": "https://example.com/delegations/123456",
"payload": {
"assignedBy": "John Doe",
"priority": "high"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The specific status to set (optional)
UNREAD, READ "READ"
Notification status toggled successfully
Was this page helpful?